BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 07-11-2007, 01:05 AM   #1 (permalink)
New Member
 
Join Date: Jul 2007
Model: 8300
PIN: N/A
Carrier: ATT
Posts: 2
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default building barry from CVS

Please Login to Remove!

I tried installing 0.7, but got errors. Then I figured, what the hell, I'll try out CVS. I'm all nice and synced, but I get this error from buildgen.sh:

[gtucker@slack]$ ./buildgen.sh
autoconf-wrapper: unrecognized option -if
configure.ac: 8: `automake requires `AM_CONFIG_HEADER', not `AC_CONFIG_HEADER'
automake: configure.ac: installing `./install-sh'
automake: configure.ac: installing `./mkinstalldirs'
automake: configure.ac: installing `./missing'
configure.ac: 8: required file `./config.h.in]' not found
src/Makefile.am:108: variable `OPENSSL_LIBS' not defined
tools/Makefile.am:12: WITH_BOOST does not appear in AM_CONDITIONAL
tools/Makefile.am:11: btool_LDADD defined both conditionally and unconditionally
autoreconf2.50: automake failed with exit status: 1

The first error is easily fixed, by changing the autoreconf line to "autoreconf -i -f" instead of "-if". I have autoconf 2.50 installed, by the way. Now I have the same message, sans the "-if" bit. Anyone gotten this to build right?

[gtucker@slack]$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Google Ubuntu Laptop 6.06 LTS
Release: 6.06
Codename: dapper
Offline  
Old 07-11-2007, 11:36 AM   #2 (permalink)
BlackBerry Extraordinaire
 
rivviepop's Avatar
 
Join Date: Dec 2006
Location: san francisco
Model: 8320
PIN: n/a
Carrier: t-mobile
Posts: 2,166
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

It's got to be the version of tools installed, or maybe one of them missing (not a Slack guy, sorry). On my end it works as expected - with a fresh CVS update I get:

Code:
$ ./buildgen.sh 
configure.ac: installing `./install-sh'
configure.ac: installing `./missing'
examples/Makefile.am: installing `./depcomp'
My versions of auto* are:

Code:
$ rpm -qa | grep ^auto
autofs-5.0.1-0.rc3.31
automake16-1.6.3-8
automake17-1.7.9-7
automake14-1.4p6-13
autoconf-2.59-12
automake15-1.5-16
automake-1.9.6-2.1
(ignore autofs of course) -- looks like the problem might be your old 2.50 autoconf? I've never had a problem building from CVS, it all just works as far as the auto* parts.
__________________
[ Linux & BlackBerry ] http://www.blackberryforums.com/linux-users-corner/
Offline  
Old 07-11-2007, 01:22 PM   #3 (permalink)
New Member
 
Join Date: Jul 2007
Model: 8300
PIN: N/A
Carrier: ATT
Posts: 2
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Slack's the name of the machine actually. It would be slackware, but it's a work computer, so it's Ubuntu. I'll try updating autoconf and see if that gets me anywhere. Thanks.
Offline  
Old 07-31-2007, 11:25 PM   #4 (permalink)
Thumbs Must Hurt
 
Join Date: Mar 2006
Location: Henderson, KY
Model: 9530
OS: 4.7.0.148
Carrier: Verizon
Posts: 178
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Once I have installed barry what would be the next step. I went a different route by converting the rpm into a deb (using alien) and everything seems to have installed but still i am unable to get my blackberry to charge

I am running an 8830 on system with ubuntu 7.04

any help.

steps taken

downloaded the package
moved it to home folder
$ sudo apt-get install alien (no errors)
$ sudo alien (no errors)
$ sudo dpkg -i (no errors)
$ barry (nothing happened)

searched system every thing seemed to be installed where it needed to be.
went in to the home folder clicked on deb package stated already installed (what i was looking for)

************************************************** ************************************************** **************
xullux@xullux-laptop:~$ sudo aptitude show barry
Package: barry
State: installed
Automatically installed: no
Version: 0.7-3
Priority: extra
Section: alien
Maintainer: xullux <xullux@xullux-laptop>
Uncompressed Size: 778k
Description: BlackBerry(tm) Desktop for Linux
Barry is a desktop toolset for managing your BlackBerry(tm) device. (BlackBerry
is a registered trademark of Research in Motion Limited.)

(Converted from a rpm package by alien version 8.65.)
************************************************** ************************************************** ***************

so where do i go from here.
__________________
Left my storm for a tour and havn't looked back!

Last edited by *&)) : 08-01-2007 at 12:38 AM.
Offline  
Old 08-02-2007, 12:39 PM   #5 (permalink)
Thumbs Must Hurt
 
Join Date: Mar 2006
Location: Henderson, KY
Model: 9530
OS: 4.7.0.148
Carrier: Verizon
Posts: 178
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

ok was missing the usblib., i pulled out my 7250 and it will charge just fine, but i will not charge my 8830 any one have any ideas
__________________
Left my storm for a tour and havn't looked back!
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.